DRM_MODE_CREATE(9)

NAME
drm_mode_create - create a new display mode

SYNOPSIS

struct drm_display_mode * drm_mode_create(struct drm_device * dev);

ARGUMENTS

dev
    DRM device

DESCRIPTION

Create a new, cleared drm_display_mode with kzalloc, allocate an ID for it and return it.

RETURNS

Pointer to new mode on success, NULL on error.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT